////////////////////////////////////////////////////////////////////////////////////////
//                                                                                    //
// File:   main.cpp                                                                   //
// Author: bkenwright@xbdev.net                                                       //
//                                                                                    //
////////////////////////////////////////////////////////////////////////////////////////

#include <stdio.h>                             // So we can use fopen and fread

// Simple Debug Feedback - writes to a simple text file located where the exe is.
void debug(char* str)
{
      FILE* fp = fopen("dbg.txt", "a+");
      fprintf(fp, "%s\n", str);
      fclose(fp);
}// End of debug(..)

char buf[500]; // Temp buffer for text output

// Program Entry Point - Where we always start!
void main()
{
      FILE* fp = fopen("cross.dds", "rb");
      char readbuf[3]; // Temp Buffer
      //      +-  Buffer to put the data in
      //      |      +- Size of each value read in bytes (1 byte each)
      //      |      |   +- How many times to read in the value (e.g. twice read in 1 byte)
      //      |      |   |    +- Stream souce
      //      |      |   |    |
      fread(readbuf, 1,  3,  fp);

      debug("First Three Bytes:");
      // Write the 3 bytes as characters to our debug file
      sprintf(buf, "%c %c %c", readbuf[0], readbuf[1], readbuf[2]);
      debug(buf);

      fclose(fp);
}// End of main()
